Bug 457593 - Request official assignment of uid/gid pair for trousers
Request official assignment of uid/gid pair for trousers
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: setup (Show other bugs)
All All
high Severity high
: alpha
: 5.4
Assigned To: Ondrej Vasik
: OtherQA
Depends On:
Blocks: 481160
  Show dependency treegraph
Reported: 2008-08-01 13:20 EDT by IBM Bug Proxy
Modified: 2013-04-15 05:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-05-14 03:41:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 46916 None None None Never

  None (edit)
Description IBM Bug Proxy 2008-08-01 13:20:18 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-08-01 11:37 EDT
---Problem Description---
I would like to request official assignment of a uid/gid for use by the trousers
package. TrouSerS upstream uses tss/tss as the user and group names.
Contact Information = Emily Ratliff/emilyr@us.ibm.com
---Security Component Data---
Userspace tool common name: tcsd

Userspace rpm: trousers
Comment 1 IBM Bug Proxy 2008-08-01 13:35:09 EDT
Hi, I mirrored this bug from the LTC bugzilla to the RH bugzilla against the
trousers component. I believe that is wrong, but I don't know which component
owns this particular bug. I changed the owner of the bug to Philip Knirsch.
Comment 2 Steve Grubb 2008-08-04 17:00:35 EDT
Emily, why do you want uid/gid pair? If I remember, there were lots of problems changing uid/gid in the trousers package.
Comment 3 Emily Ratliff 2008-08-04 17:23:30 EDT
Hi Steve,

The primary reason is that it can be included in the Common Criteria certified stack for free if tcsd does not run as root.

Additionally, I would like to minimize the number of daemons running as root by default. And TrouSerS upstream runs tcsd as tss exclusively.

In Fedora it is currently installing under tss/tss despite not having tss/tss officially registered.


Comment 4 Phil Knirsch 2008-08-07 12:09:02 EDT
I have just added the following uid/gid pair to Fedora and will be using the same assignment in RHEL-5:

tss             59      59      -                       /sbin/nologin   trousers


Read ya, Phil
Comment 6 IBM Bug Proxy 2008-09-10 16:01:01 EDT
Red Hat, Do you expect this to make RHEL 5.3?
Comment 7 John Jarvis 2009-01-30 12:43:51 EST
Deferring to 5.5 based on discussions with Emily.  The gid and uid have been assigned and next the changes in Fedora need to go into Fedora. Once in Fedora, IBM will put in a request for RHEL.
Comment 9 IBM Bug Proxy 2009-02-06 10:14:51 EST
This bugzilla has Keywords FutureFeature or HardwareEnablement and thus does not meet the
release criteria for FasTrack. This FasTrack request has been denied.
This bugzilla must be addressed in a minor release.
Comment 12 John Jarvis 2009-02-12 11:24:24 EST
This enhancement request was evaluated by the full Red Hat Enterprise Linux team
for inclusion in a Red Hat Enterprise Linux minor release.   As a result of this
evaluation, Red Hat has tentatively approved inclusion of this feature in the
next Red Hat Enterprise Linux Update minor release.   While it is a goal to
include this enhancement in the next minor release of Red Hat Enterprise Linux,
the enhancement is not yet committed for inclusion in the next minor release
pending the next phase of actual code integration and successful Red Hat and
partner testing.
Comment 20 errata-xmlrpc 2009-05-14 03:41:00 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

Comment 21 IBM Bug Proxy 2009-06-15 09:11:10 EDT
------- Comment From sglass@us.ibm.com 2009-06-15 09:03 EDT-------
Since this went out in a Errata already, moving to Accepted state

Note You need to log in before you can comment on or make changes to this bug.